package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.ObjTagRel;

import java.util.List;

/**
 * 对象&标签关系Service接口
 *
 * @author ruoyi
 * @date 2024-08-27
 */
public interface IObjTagRelService {
    /**
     * 查询对象&标签关系列表
     *
     * @param tagType 标签类型
     * @return 对象&标签关系集合
     */
    List<ObjTagRel> selectListByType(int tagType);

    /**
     * 新增对象&标签关系
     *
     * @param tagType 标签类型
     * @param tagCode 标签代码
     * @return 结果
     */
    List<ObjTagRel> selectListByTagCode(int tagType, String tagCode);

    /**
     * 新增对象&标签关系
     *
     * @param tagType 标签类型
     * @param objCode 标签代码
     * @return 结果
     */
    List<ObjTagRel> selectListByObjCode(int tagType, String objCode);

    /**
     * 批量插入
     *
     * @param list 对象&标签关系
     * @return 结果
     */
    int insertBatch(List<ObjTagRel> list);

    /**
     * 删除对象&标签关系
     *
     * @param tagType 标签类型
     * @param objCode 对象代码
     * @return 结果
     */
    int deleteByObjCode(int tagType, String objCode);

    /**
     * 删除对象&标签关系
     *
     * @param tagType 标签类型
     * @param tagCode 标签代码
     * @return 结果
     */
    int deleteByTagCode(String tagCode);
}
